## Class Monster

    java.lang.Object
      greenfoot.Actor
          Moving
              Element
                  Monster

    public class Monster

extends Element

Write a description of class Monster here.

Version:
  (a version number or a date)
Author:
  Florian

Field Summary
`protected int` | `live`
`protected java.lang.String[]` | `picslinks`
`protected java.lang.String[]` | `picsoben`
`protected java.lang.String[]` | `picsrechts`
`protected java.lang.String[]` | `picsunten`
`protected int` | `sichtweite`
`protected int` | `size`
`protected double` | `step`

Fields inherited from class Moving
`animationspeed`

Constructor Summary
`Monster()`

Method Summary
`void` | `act()` Act - do whatever the Monster wants to do.
`void` | `setLocation(int x, int y, boolean checkBeforeMoving)` Überschreibt setLocation und bewegt den Actor nur wenn die Maske es zulässt und er nicht aus dem Bild läuft

Methods inherited from class Moving
`getOneTouching, getTouching, isTouching, isTouching, move`

Methods inherited from class greenfoot.Actor
`addedToWorld, getImage, getIntersectingObjects, getNeighbours, getObjectsAtOffset, getObjectsInRange, getOneIntersectingObject, getOneObjectAtOffset, getRotation, getWorld, getX, getY, intersects, move, setImage, setImage, setLocation, setRotation, turn, turnTowards`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### live

    protected int live

### picslinks

    protected java.lang.String[] picslinks

### picsoben

    protected java.lang.String[] picsoben

### picsrechts

    protected java.lang.String[] picsrechts

### picsunten

    protected java.lang.String[] picsunten

### sichtweite

    protected int sichtweite

### size

    protected int size

### step

    protected double step

Constructor Detail

### Monster

    public Monster()

Method Detail

### act

    public void act()

  Act - do whatever the Monster wants to do. This method is called whenever the 'Act' or 'Run' button gets pressed in the environment.

  Overrides:
    `act` in class `Element`

### setLocation

    public void setLocation(int x,
                            int y,
                            boolean checkBeforeMoving)

  Überschreibt setLocation und bewegt den Actor nur wenn die Maske es zulässt und er nicht aus dem Bild läuft

  Parameters:
    `x` - Neue-X-Koordinate
    `y` - Neue-Y-Koordinate
    `checkBeforeMoving` - Wenn TRUE wird Linch nur bewegt wenn er nicht aus dem Bild läuft und die Maske es zulässt